convert-from-foreign-string
Prev | Strings | Next

## Name

convert-from-foreign-string — Converts a foreign string into a Lisp string.Macro

## Syntax

    	convert-from-foreign-string
    	foreign-string &key length null-terminated-p
    	=>
    	string

## Arguments and Values

`foreign-string`

  A foreign string.

`length`

  The length of the foreign string to convert. The default is the length of the string until a `NULL` character is reached.

`null-terminated-p`

  A boolean flag with a default value of `T` When true, the string is converted until the first `NULL` character is reached.

string

  A Lisp string.

## Description

Returns a Lisp string from a foreign string. Can translated ASCII and binary strings.

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
with-cstring | Home | convert-to-foreign-string